EPPDomainUpdate (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp0604.rtk.xml.EPPDomainUpdate class

### com.tucows.oxrs.epp0604.rtk.xml

# Class EPPDomainUpdate

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp0604.rtk.RTKBase`
  - - `com.tucows.oxrs.epp0604.rtk.xml.EPPXMLBase`
    - - `com.tucows.oxrs.epp0604.rtk.xml.EPPDomainBase`
      - - `com.tucows.oxrs.epp0604.rtk.xml.EPPDomainUpdate`

Implemented Interfaces:
  epp_Action, epp_ActionOperations, epp_DomainUpdate, epp_DomainUpdateOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object

`public class EPPDomainUpdate`
`extends EPPDomainBase`
`implements epp_DomainUpdate`

Class for the EPP Domain Update command and response. Extends the epp_DomainUpdate interface from the EPP IDLs to provide the XML translation for the EPP Domain Update command. The Update command allows the sponsoring client to change data associated with an EPP object. Usage is demonstrated in the com.tucows.oxrs.epp0604.rtk.example.DomainExample class.

See Also:
  `DomainExample`, `epp_Action`, `epp_DomainUpdate`, `epp_DomainUpdateReq`, `epp_DomainUpdateRsp`, `Domain Spec for more information`

  ## Field Summary

  ### Fields inherited from class com.tucows.oxrs.epp0604.rtk.xml.EPPDomainBase
  `contact_type_hash_`, `domain_status_hash_`

  ### Fields inherited from class com.tucows.oxrs.epp0604.rtk.xml.EPPXMLBase
  `auth_type_string_to_type_hash_`, `auth_type_to_string_array_`, `transfer_op_to_string_array_`, `transfer_status_to_type_hash_`, `xml_`

  ### Fields inherited from class com.tucows.oxrs.epp0604.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Constructor Summary
  `EPPDomainUpdate()` Default constructor
  `EPPDomainUpdate(String xml)` Constructor with response XML string to automatically parse.

  ## Method Summary
  `void` | `fromXML(String xml)` Parses a new XML String and populates the response data member.
  `epp_DomainUpdateRsp` | `getResponseData()` Accessor method for the domain update response data.
  `void` | `setRequestData(epp_DomainUpdateReq value)` Accessor method for the domain update request data.
  `String` | `toXML()` Builds request XML from the request data.

  ### Methods inherited from class com.tucows.oxrs.epp0604.rtk.xml.EPPDomainBase
  `domainContactTypeToString`, `domainStatusFromString`, `domainStatusToString`, `getTrnData`, `initContactTypeHash`, `initDomainStatusHash`, `initHashes`, `setCommonAttributes`

  ### Methods inherited from class com.tucows.oxrs.epp0604.rtk.xml.EPPXMLBase
  `addXMLElement`, `convertListToArray`, `convertListToStringArray`, `createDocRoot`, `createXMLFromDoc`, `getAvailResultFor`, `getCheckResultFor`, `getDocumentElement`, `getElement`, `getExtensionNode`, `getNode`, `getXML`, `initAuthInfoStringToTypeHash`, `initHashes`, `initTransferStatusToTypeHash`, `parseGenericCheckResults`, `parseGenericResult`, `prepareAuthInfo`, `prepareCreds`, `prepareExtensionElement`, `stringListToXML`, `transferStatusFromString`, `transferStatusToString`

  ### Methods inherited from class com.tucows.oxrs.epp0604.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getDebugPrintStream`, `getRTKProperties`, `setDebugLevel`, `setDebugLevel`, `setDebugPrintStream`

## Constructor Details

### EPPDomainUpdate

    public EPPDomainUpdate()

> Default constructor

### EPPDomainUpdate

    public EPPDomainUpdate(String xml)
                throws epp_XMLException,
                       epp_Exception

> Constructor with response XML string to automatically parse.
> Parameters:
>   `xml` - The EPP Domain Update response XML String
> Throws:
>   `epp_XMLException` - if the response XML is not parsable or does not contain the expected data
>   `epp_Exception` - if the server has responded with an error code
> See Also:
>   `fromXML(String)`

## Method Details

### fromXML

    public void fromXML(String xml)
                throws epp_XMLException,
                       epp_Exception

> Parses a new XML String and populates the response data member. Implemented method from org.openrtk.idl.epp0604.epp_Action interface.
> Specified by:
>   fromXML in interface epp_ActionOperations
> Parameters:
> Throws:
>   `epp_XMLException` - if the response XML is not parsable or does not contain the expected data
>   `epp_Exception` - if the server has responded with an error code
> See Also:
>   `epp_Action`

### getResponseData

    public epp_DomainUpdateRsp getResponseData()

> Accessor method for the domain update response data.
> Specified by:
>   getResponseData in interface epp_DomainUpdateOperations
> Returns:
>   value org.openrtk.idl.epp0604.epp_DomainUpdateRsp

### setRequestData

    public void setRequestData(epp_DomainUpdateReq value)

> Accessor method for the domain update request data. Must be set to for this command.
> Specified by:
>   setRequestData in interface epp_DomainUpdateOperations
> Parameters:
>   `value` - org.openrtk.idl.epp0604.epp_DomainUpdateReq

### toXML

    public String toXML()
                throws epp_XMLException

> Builds request XML from the request data. Implemented method from org.openrtk.idl.epp0604.epp_Action interface.
> Specified by:
>   toXML in interface epp_ActionOperations
> Throws:
>   `epp_XMLException` - if required data is missing
> See Also:
>   `setRequestData(epp_DomainUpdateReq)`, `epp_Action`

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS